File: changelog

package info (click to toggle)
libffi-platypus-perl 1.34-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,344 kB
  • sloc: perl: 6,999; ansic: 6,637; cpp: 53; makefile: 13; sh: 13
file content (316 lines) | stat: -rw-r--r-- 10,052 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
libffi-platypus-perl (1.34-1) unstable; urgency=medium

  * Import upstream version 1.34.

 -- gregor herrmann <gregoa@debian.org>  Wed, 28 Oct 2020 18:27:23 +0100

libffi-platypus-perl (1.33-1) unstable; urgency=medium

  * Import upstream version 1.33.
  * Add a note about the removed FFI::Platypus::Declare module
    to debian/NEWS.Developer.

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Sep 2020 19:04:20 +0200

libffi-platypus-perl (1.32-1) unstable; urgency=medium

  * Import upstream version 1.32.

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 Sep 2020 14:58:49 +0200

libffi-platypus-perl (1.31-1) unstable; urgency=medium

  * Import upstream version 1.31.
  * Update debian/upstream/metadata.
  * Update lintian-overrides: renamed tag.

 -- gregor herrmann <gregoa@debian.org>  Fri, 03 Jul 2020 19:29:04 +0200

libffi-platypus-perl (1.30-1) unstable; urgency=medium

  * Import upstream version 1.30.

 -- gregor herrmann <gregoa@debian.org>  Fri, 19 Jun 2020 23:00:38 +0200

libffi-platypus-perl (1.29-1) unstable; urgency=medium

  * Import upstream version 1.29.

 -- gregor herrmann <gregoa@debian.org>  Sat, 06 Jun 2020 22:06:17 +0200

libffi-platypus-perl (1.28-1) unstable; urgency=medium

  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Import upstream version 1.28.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 May 2020 18:13:28 +0200

libffi-platypus-perl (1.26-1) unstable; urgency=medium

  * Import upstream version 1.26.

 -- gregor herrmann <gregoa@debian.org>  Thu, 07 May 2020 18:04:26 +0200

libffi-platypus-perl (1.24-1) unstable; urgency=medium

  * Import upstream version 1.24.

 -- gregor herrmann <gregoa@debian.org>  Sun, 03 May 2020 19:00:06 +0200

libffi-platypus-perl (1.11-1) unstable; urgency=medium

  * Import upstream version 1.11.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 Apr 2020 20:03:44 +0200

libffi-platypus-perl (1.10-1) unstable; urgency=medium

  * Import upstream version 1.10.
  * Update years of upstream and packaging copyright.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Feb 2020 14:01:41 +0100

libffi-platypus-perl (1.09-1) unstable; urgency=medium

  * Import upstream version 1.09.
  * Declare compliance with Debian Policy 4.5.0.

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 Jan 2020 15:19:12 +0100

libffi-platypus-perl (1.07-1) unstable; urgency=medium

  * Import upstream version 1.07.

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Dec 2019 18:54:14 +0100

libffi-platypus-perl (1.06-1) unstable; urgency=medium

  * Import upstream version 1.06.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Dec 2019 19:53:42 +0100

libffi-platypus-perl (1.05-1) unstable; urgency=medium

  * Import upstream version 1.05.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Dec 2019 01:08:01 +0100

libffi-platypus-perl (1.02-1) unstable; urgency=medium

  * Import upstream version 1.02.
  * Remove unused variable from debian/rules.
  * Update Build-Depends for cross builds.
  * Set upstream metadata fields: Bug-Submit.

 -- gregor herrmann <gregoa@debian.org>  Tue, 10 Dec 2019 16:54:27 +0100

libffi-platypus-perl (1.01-1) unstable; urgency=medium

  * Import upstream version 1.01.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 Nov 2019 19:00:42 +0100

libffi-platypus-perl (0.98-1) unstable; urgency=medium

  * Import upstream version 0.98.
  * Declare compliance with Debian Policy 4.4.1.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 Oct 2019 17:26:52 +0200

libffi-platypus-perl (0.96-1) unstable; urgency=medium

  * Import upstream version 0.96
  * debian/rules: remove fix for embedded build path.
    The issue is fixed in this release.

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Aug 2019 19:33:09 +0200

libffi-platypus-perl (0.94-1) unstable; urgency=medium

  * Import upstream version 0.94.

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Jul 2019 18:55:45 -0300

libffi-platypus-perl (0.92-1) unstable; urgency=medium

  * Import upstream version 0.92.
  * Add debian/tests/pkg-perl/use-whitelist.

 -- gregor herrmann <gregoa@debian.org>  Mon, 22 Jul 2019 15:23:54 -0300

libffi-platypus-perl (0.90-1) unstable; urgency=medium

  * Import upstream version 0.90.
  * Update build dependencies.
    libalt-alien-ffi-system-perl is not needed anymore (since 0.69),
    add libffi-dev and pkg-config instead.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.

 -- gregor herrmann <gregoa@debian.org>  Wed, 17 Jul 2019 11:34:52 -0300

libffi-platypus-perl (0.83-1) unstable; urgency=medium

  * Import upstream version 0.83.
  * Add versioned build dependency on libextutils-parsexs-perl.

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Feb 2019 19:22:12 +0100

libffi-platypus-perl (0.80-1) unstable; urgency=medium

  * Import upstream version 0.80.

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Feb 2019 18:29:30 +0100

libffi-platypus-perl (0.79-1) unstable; urgency=medium

  * Import upstream version 0.79.

 -- gregor herrmann <gregoa@debian.org>  Fri, 01 Feb 2019 09:34:13 +0100

libffi-platypus-perl (0.78-1) unstable; urgency=medium

  * Import upstream version 0.78.
  * Update (build) dependencies.
  * debian/rules: drop removal of deleted README.
  * debian/rules: make build verbose.
  * debian/rules: replace build path in probe.pl with a placeholder.
    The file contains the EUMM values from build which are not used at
    runtime, which would lead to reproducibility issues.
  * Update debian/tests/pkg-perl/smoke-* to new upstream
    build/test system.
  * Update years of upstream and packaging copyright.
  * Install new Changes.FFI-Build file.
  * Add a lintian override for a spelling variant.
  * Bump debhelper compatibility level to 11.
  * Declare compliance with Debian Policy 4.3.0.

 -- gregor herrmann <gregoa@debian.org>  Thu, 31 Jan 2019 19:08:54 +0100

libffi-platypus-perl (0.59-1) unstable; urgency=medium

  * Import upstream version 0.59.

 -- gregor herrmann <gregoa@debian.org>  Fri, 21 Dec 2018 20:31:14 +0100

libffi-platypus-perl (0.58-1) unstable; urgency=medium

  * Import upstream version 0.58.
  * Install new Changes.FFI-Platypus-Type-StringArray file.
  * Don't install README.txt under /usr/lib.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Nov 2018 17:38:21 +0100

libffi-platypus-perl (0.56-1) unstable; urgency=medium

  * Import upstream version 0.56.
  * Add new build dependency: libcapture-tiny-perl.
  * Update years of upstream copyright.
  * debian/tests/pkg-perl/smoke-files: remove directories which don't
    exist anymore in the upstream tarball.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 07 Sep 2018 19:36:46 +0200

libffi-platypus-perl (0.50-1) unstable; urgency=medium

  * Import upstream version 0.50.
  * Update debian/upstream/metadata.
  * Update build dependencies.
  * Declare compliance with Debian Policy 4.1.5.
  * autopkgtest: add one more source directory to
    debian/tests/pkg-perl/smoke-files.

 -- gregor herrmann <gregoa@debian.org>  Wed, 18 Jul 2018 16:50:25 +0200

libffi-platypus-perl (0.48-1) unstable; urgency=medium

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 0.48.
  * Drop reproducible-build.patch, merged upstream.
  * Update years of packaging copyright.
  * Bump debhelper compatibility level to 10.
  * debian/rules: don't install a new content-less manpage.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Mar 2018 18:40:01 +0100

libffi-platypus-perl (0.47-3) unstable; urgency=medium

  * Team upload

  * add reproducible-build.patch by Cris Lamb

 -- Damyan Ivanov <dmn@debian.org>  Sun, 26 Nov 2017 11:41:17 +0000

libffi-platypus-perl (0.47-2) unstable; urgency=medium

  * Fix autopkgtest: Redirect stderr to stdout in debian/tests/pkg-
    perl/smoke-setup.
    "print() on closed filehandle $fh at inc/My/ShareConfig.pm line 40" is not
    related to the actual smoke tests but make the test runner assume a
    failure when it ends up on stderr.

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 Nov 2017 18:47:42 +0100

libffi-platypus-perl (0.47-1) unstable; urgency=medium

  * Team upload

  * New upstream version 0.47
  * declare conformance with Policy 4.1.1 (no changes needed)
  * remove lib-module-build-perl from runtime dependencies

 -- Damyan Ivanov <dmn@debian.org>  Tue, 21 Nov 2017 21:54:30 +0000

libffi-platypus-perl (0.45-1) unstable; urgency=medium

  * Import upstream version 0.45.

 -- gregor herrmann <gregoa@debian.org>  Sat, 29 Oct 2016 20:08:22 +0200

libffi-platypus-perl (0.43-1) unstable; urgency=medium

  * Import upstream version 0.43.
  * debian/rules: remove debugging output.

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Jul 2016 11:21:21 +0200

libffi-platypus-perl (0.42.01-1) unstable; urgency=medium

  * Imported Upstream version 0.42_01.
  * Drop spelling.patch, merged upstream.
  * Drop debugging comments from debian/tests/pkg-perl/smoke-setup.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 Jul 2016 23:30:04 +0200

libffi-platypus-perl (0.42-2) unstable; urgency=medium

  [ Niko Tyni ]
  * Fix autopkgtest setup.
    We need to build libtest.so in the target directory, not the original
    source tree.
    (Closes: #829553)

  [ gregor herrmann ]
  * debian/rules: output include/ffi_platypus_probe.h during build for
    debugging purposes. Cf. #829553.

 -- gregor herrmann <gregoa@debian.org>  Tue, 05 Jul 2016 19:29:10 +0200

libffi-platypus-perl (0.42-1) unstable; urgency=low

  [ C.J. Collier ]
  * Initial Release. (Closes: #778543)

 -- gregor herrmann <gregoa@debian.org>  Mon, 27 Jun 2016 15:12:19 +0200